package sicura.entities;
// Generated 2-lug-2017 12.21.35 by Hibernate Tools 5.2.3.Final

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Home object for domain model class ContiDestinatari.
 * @see sicura.entities.ContiDestinatari
 * @author Hibernate Tools
 */
@Stateless
public class ContiDestinatariHome {

	private static final Log log = LogFactory.getLog(ContiDestinatariHome.class);

	@PersistenceContext
	private EntityManager entityManager;

	public void persist(ContiDestinatari transientInstance) {
		log.debug("persisting ContiDestinatari instance");
		try {
			entityManager.persist(transientInstance);
			log.debug("persist successful");
		} catch (RuntimeException re) {
			log.error("persist failed", re);
			throw re;
		}
	}

	public void remove(ContiDestinatari persistentInstance) {
		log.debug("removing ContiDestinatari instance");
		try {
			entityManager.remove(persistentInstance);
			log.debug("remove successful");
		} catch (RuntimeException re) {
			log.error("remove failed", re);
			throw re;
		}
	}

	public ContiDestinatari merge(ContiDestinatari detachedInstance) {
		log.debug("merging ContiDestinatari instance");
		try {
			ContiDestinatari result = entityManager.merge(detachedInstance);
			log.debug("merge successful");
			return result;
		} catch (RuntimeException re) {
			log.error("merge failed", re);
			throw re;
		}
	}

	public ContiDestinatari findById(Integer id) {
		log.debug("getting ContiDestinatari instance with id: " + id);
		try {
			ContiDestinatari instance = entityManager.find(ContiDestinatari.class, id);
			log.debug("get successful");
			return instance;
		} catch (RuntimeException re) {
			log.error("get failed", re);
			throw re;
		}
	}
}
